import request from '@/utils/request'

// 查询报警信息列表
export function listPitAlarm(query) {
  return request({
    url: '/device/pitAlarm/list',
    method: 'get',
    params: query
  })
}

// 查询报警信息详细
export function getPitAlarm(id) {
  return request({
    url: '/device/pitAlarm/' + id,
    method: 'get'
  })
}

// 新增报警信息
export function addPitAlarm(data) {
  return request({
    url: '/device/pitAlarm',
    method: 'post',
    data: data
  })
}

// 修改报警信息
export function updatePitAlarm(data) {
  return request({
    url: '/device/pitAlarm',
    method: 'put',
    data: data
  })
}

// 删除报警信息
export function delPitAlarm(id) {
  return request({
    url: '/device/pitAlarm/' + id,
    method: 'delete'
  })
}
